'''
This code runs a one-dimensional K-Means example. The data is a set of 1s, 2s, and 3s.
The code uses SciPy's kmeans2 implementation.

@author: kvlinden
@version Jan 14, 2013
'''
from scipy.cluster.vq import kmeans2
import numpy

# Configure the problem.
k = 3
data = numpy.array([[1], [1], [1], [1], [2], [2], [2], [2], [3], [3], [3], [3]])

# Run k-means to get the cluster centers and classifications for each data point.
centers, classifications = kmeans2(data, k) 

# Print the results.
print 'Cluster centers:\n' + str(centers)
print 'Data point classifications:\n' + str(classifications)
